Qt 5.7 | Qt Data Visualization | QML Types | ScatterDataProxy QML Type

Qt 5.7.1 Reference Documentation

# ScatterDataProxy QML Type

Base proxy class for Scatter3D. More...

Import Statement: | import QtDataVisualization 1.2
Since: | QtDataVisualization 1.0
Instantiates: | QScatterDataProxy
Inherits: | AbstractDataProxy
Inherited By: | ItemModelScatterDataProxy

- List of all members, including inherited members

## Properties

- itemCount : int
- series : Scatter3DSeries

## Detailed Description

This type handles adding, inserting, changing, and removing data items.

This type is uncreatable, but contains properties that are exposed via subtypes.

For more complete description, see QScatterDataProxy.

See also ItemModelScatterDataProxy and Qt Data Visualization Data Handling.

## Property Documentation

itemCount : int

Item count in the array.

series : Scatter3DSeries

The series this proxy is attached to.